/**
 * core.js - all global scripts belong in this file.
 */

// NAMESPACE FOR COMMON FUNCTIONS/OBJECTS
var COMMONUTILS = {
    //
    pageWidth : function () {"use strict";
        return document.documentElement.clientWidth;
    },

    // OBJ TO HOLD USERS CURRENT WEBPAGE LOCATION
    currentPage : window.location.pathname.substring (window.location.pathname.lastIndexOf ('/') + 1),

    // FUNCTION TO EXECUTE CODE BASED ON LOCATION
    userLocation : function (pagename) {"use strict";
        var page = pagename;
        $ ('#nav a').removeClass ('active');
        switch(page) {
            case 'index':
                $ ('#nav-home').addClass ('active');
                break;
            case 'about':
                $ ('#nav-about').addClass ('active');
                break;
            case 'cast':
                $ ('#nav-cast').addClass ('active');
                break;
            case 'news':
                $ ('#nav-news').addClass ('active');
                break;
            case 'reviews':
                $ ('#nav-reviews').addClass ('active');
                break;
            case 'tickets':
                $ ('#nav-tickets').addClass ('active');
                break;
            case 'gallery':
                $ ('#nav-gallery').addClass ('active');
                break;
            case 'privacy':
                $ ('#nav a').removeClass ('active');
                break;
            default:
                // No Case
                $ ('#nav-home').addClass ('active');
        }
    },

    optinFormValidate: function() {
    	"use strict";

      var formName = "";

      $(".subscribe").each(function(i){

      	//console.log(i);
      	formName = "optin"+i;
      	$(this).attr("id",formName);

          //
          $(this).validate({
            rules : {
              email : { required : true, email : true }/*,
              zip : 'required'*/
            },
            messages : {
              email : 'Enter a valid email'/*,
              zip : 'Enter your zip code'*/
            },
            errorPlacement : function(error, element) {
              element.attr('placeholder', error[0].outerText);
            },
            submitHandler : function(form) {
              $.ajax({
                url : './_inc/optin_action.php',
                type : 'POST',
                data : $(form).serialize() + '&ajax=true',
                success : function() {
                  $(form).hide();
                  $(form).parent("div").append('<h3 class="text-center form-thanks">THANK YOU FOR SIGNING UP.<br /><span>Check your email to confirm your subscription.</span></h3>');
                  dataLayer.push({'event': 'signup-successful'});
                }
              });
              return false;
            }
          });

      });
    },

    optinFormValidateKorean: function() {
    	"use strict";

      var formName = "";

      $(".subscribe-kor").each(function(i){

      	//console.log(i);
      	formName = "optin"+i;
      	$(this).attr("id",formName);

          //
          $(this).validate({
            rules : {
              email : { required : true, email : true }/*,
              zip : 'required'*/
            },
            messages : {
              email : '이메일 주소 입력해 주세요'/*,
              zip : 'Enter your zip code'*/
            },
            errorPlacement : function(error, element) {
              element.attr('placeholder', error[0].outerText);
            },
            submitHandler : function(form) {
              $.ajax({
                url : './_inc/optin_action_korean.php',
                type : 'POST',
                data : $(form).serialize() + '&ajax=true',
                success : function() {
                  $(form).hide();
                  $(form).parent("div").append('<h3 class="text-center form-thanks">수신 가입 감사합니다. <br /><span>정기수신 확인을 위해 이메일 확인 부탁드립니다. </span></h3>');
                }
              });
              return false;
            }
          });

      });
    },

    nav: function() {
    	"use strict";

    	$("#btn-menu").on("click",function(e){
      	e.preventDefault();
      	if( $("#nav").hasClass("open") ){
        	$("#nav, #btn-menu").removeClass("open");
        	$("#btn-menu").removeClass("fa-times-thin").addClass("fa-bars");
      	} else {
        	$("#nav, #btn-menu").addClass("open");
        	$("#btn-menu").addClass("fa-times-thin").removeClass("fa-bars");
      	}
    	});

    	$("#icon-envelope").click(function(){
      	$("html").addClass("modal-open");
    	});

    },

    video: function() {
    	"use strict";

    	$(".video-link").each(function(e){
      	  if( $(this).data("thumb") != "" ){
        	  $(this).html('<div class="video-thumb"><img src="'+ $(this).data("thumb") +'" class="w100"></div>');
      	  } else {
        	  $(this).html('<div class="video-thumb"><img src="http://img.youtube.com/vi/'+ $(this).data("id") +'/hqdefault.jpg" class="w100"></div>');
      	  }
      	  if( $(this).data("caption") != "" ){
      	    //console.log('yo');
        	  $(this).append("<div class='video-caption'>"+$(this).data("caption")+"</div>");
      	  }
    	});

    	$(document).on("click",".video-link",function(e){
    	    e.preventDefault();
    	    if( $("#video-overlay-close").length == 0 ){
      	    $("#video-overlay").append('<a id="video-overlay-close"></a>');
    	    }
        	$("#video-overlay-inner").html('<iframe src="https://www.youtube.com/embed/'+ $(this).data("id") +'?rel=0&modestbranding=1&autohide=1&showinfo=0&autoplay=1" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>');
        	$("html").addClass("video-overlay-open");
    	});

    	$(document).on("click","#video-overlay-close, #video-overlay",function(e){
    	    e.preventDefault();
        	$("#video-overlay-inner").html('');
        	$("html").removeClass("video-overlay-open");
    	});

    },

    quotes: function() {
    	"use strict";
      $('#quotes').quote_rotator();

    }
};


// jQuery Namespace
$ (document).ready (function () {"use strict";
    $('html').addClass('page-loaded');
    COMMONUTILS.optinFormValidate();
    COMMONUTILS.optinFormValidateKorean();

    $('.arrow').click(function(e) {
      e.preventDefault();
      $([document.documentElement, document.body]).animate({
        scrollTop: $("#new-york").offset().top
      }, 800);
    });

    /*$('.kor-link').click(function(e) {
      e.preventDefault();
      $('#home.korean').addClass('active');
      $('#home.eng').removeClass('active');
      $('.eng-link').removeClass('active');
      $(this).addClass('active');
    });

    $('.eng-link').click(function(e) {
      e.preventDefault();
      $('#home.eng').addClass('active');
      $('#home.korean').removeClass('active');
      $('.kor-link').removeClass('active');
      $(this).addClass('active');
    });*/

    $(document).on('click', '.korean .arrow', function(e) {
      console.log('click');
       $([document.documentElement, document.body]).animate({
         scrollTop: $(".korean #new-york").offset().top
       }, 800);
    });


    //Translation
    var flags = document.getElementsByClassName('flag_link');

    Array.prototype.forEach.call(flags, function(e){
      e.addEventListener('click', function(){
        var lang = e.getAttribute('data-lang');
        var languageSelect = document.querySelector("select.goog-te-combo");
        languageSelect.value = lang;
        languageSelect.dispatchEvent(new Event("change"));
      });
    });



    //MENU
    $('.hamburger').click(function(e) {
      e.preventDefault();
      $('#nav').addClass('open');
    });

    $('.menu-close').click(function(e) {
      e.preventDefault();
      $('#nav').removeClass('open');
    });

    $('.top-level').click(function(e) {
      e.preventDefault();
      if ($(this).parent('.has-sub').hasClass('active')) {
        $(this).parent('.has-sub').removeClass('active');
        $(this).parent('.has-sub').children('.arrow').html('<i class="fas fa-caret-right"></i>');
      } else {
        $(this).parent('.has-sub').addClass('active');
        $(this).parent('.has-sub').children('.arrow').html('<i class="fas fa-caret-down"></i>');
      }
    });

    $('.arrow').click(function(e) {
      e.preventDefault();
      if ($(this).parent('.has-sub').hasClass('active')) {
        $(this).parent('.has-sub').removeClass('active');
        $(this).html('<i class="fas fa-caret-right"></i>');
      } else {
        $(this).parent('.has-sub').addClass('active');
        $(this).html('<i class="fas fa-caret-down"></i>');
      }
    });

    $('.tickets-link').click(function(e) {
        var id = "#tickets";
        var offset = 100;
        var target = $(id).offset().top - offset;
        $('html, body').animate({scrollTop:target}, 500);
    });

    function pageHash () {
      var hash = window.location.hash;
      if (hash === "#tickets") {
        var aid = "#tickets";
        $('html,body').animate({scrollTop: (($(aid).offset().top) - 150)},'slow');
        $('#menu').removeClass('active')
      }
    }

    pageHash();



    //Remove video on Mobile
    function lrgFileRemove() {
      $('.hidden-xs').each(function() {
        $(this).remove();
      });
    }

    if ($(window).width() < 750) {
      setTimeout(lrgFileRemove, 200);
    }


    //SPOTIFY PLAYER
    $(document).on("click",".listen-button",function(e) {
      console.log('here');
      e.preventDefault();
      if($('#spotify').hasClass('open')) {
        $('#spotify').removeClass('open');
      } else {
        $('#spotify').addClass('open');
      }

      if (!$('#spotify i').hasClass('fa-angle-up')) {
          $('#spotify i').removeClass('fa-angle-down');
          $('#spotify i').addClass('fa-angle-up');
      } else  {
          $('#spotify i').removeClass('fa-angle-up');
          $('#spotify i').addClass('fa-angle-down');
      }
    });

    $(document).on("click",".icon-listen",function(e) {
      e.preventDefault();
      if($('#spotify').hasClass('open')) {
        $('#spotify').removeClass('open');
      } else {
        $('#spotify').addClass('open');
      }
    });

    setTimeout(function(){
      $("#spotify").append('<iframe src="https://open.spotify.com/embed/album/47SrOvEGj0G4Sjny8owIVk?utm_source=generator" width="100%" height="380" frameBorder="0" allowfullscreen="" allow="autoplay; clipboard-write; encrypted-media; fullscreen; picture-in-picture" loading="lazy"></iframe>');
    }, 1000);


    function btnLoad() {
      $('#spotify').css({'opacity':1});
    }

    setTimeout(function(){
      btnLoad();
    }, 1000);


    $(".label-btn").hover(function(){
        $('.label-logo').attr("src", function(index, attr){
            return attr.replace(".png", "-hover.png");
        });
    }, function(){
        $('.label-logo').attr("src", function(index, attr){
            return attr.replace("-hover.png", ".png");
    });
  });


  $(".album-btn").hover(function(){
      $('.album-img').attr("src", function(index, attr){
          return attr.replace(".png", "-hover.png");
      });
  }, function(){
      $('.album-img').attr("src", function(index, attr){
          return attr.replace("-hover.png", ".png");
  });
});

$(".bands-btn").hover(function(){
    $('.bands-img').attr("src", function(index, attr){
        return attr.replace(".png", "-hover.png");
    });
}, function(){
    $('.bands-img').attr("src", function(index, attr){
        return attr.replace("-hover.png", ".png");
});
});


  //Popup
  $('.close-popup').click(function(e){
    e.preventDefault();
    $("#popup").fadeOut();
    $("#popup-bg").fadeOut();
  });

  $('#popup-bg').click(function(e){
    e.preventDefault();
    $("#popup").fadeOut();
    $("#popup-bg").fadeOut();
  });

  //$("#popup").show();
  //$("#popup-bg").show();

  //NEWSLETTER POPUP + COOKIE
  function setCookie(cookieName,cookieValue,nDays) {
   var today = new Date();
   var expire = new Date();
   if (nDays==null || nDays==0) nDays=1;
   expire.setTime(today.getTime() + 3600000*24*nDays);
   document.cookie = cookieName+"="+escape(cookieValue) + ";expires="+expire.toGMTString();
  }

  function getCookie(cookieName) {
     var theCookie=" "+document.cookie;
     var ind=theCookie.indexOf(" "+cookieName+"=");
     if (ind==-1) ind=theCookie.indexOf(";"+cookieName+"=");
     if (ind==-1 || cookieName=="") return "";
     var ind1=theCookie.indexOf(";",ind+1);
     if (ind1==-1) ind1=theCookie.length;
     return unescape(theCookie.substring(ind+cookieName.length+2,ind1));
  }

  $(function() {
       var skipModal = getCookie('skipModal');
       console.log(skipModal);
       if (!skipModal) {
           //$("#popup").show();
           //$("#popup-bg").show();
           setCookie('skipModal', 'true', 365*5);
       }
  });

  $('.quote-block').slick({
    slidesToShow: 1,
    slidesToScroll: 1,
    arrows:false,
    autoplay:true,
    autoplaySpeed:4000,
    fade:true
    //prevArrow:"<button type='button' class='slick-prev'><i class='fa fa-angle-left' aria-hidden='true'></i></button>",
    //nextArrow:"<button type='button' class='slick-next'><i class='fa fa-angle-right' aria-hidden='true'></i></button>"
  });


});

// EOF
